Api
Internal only view for listing datasources. Used by ETL/Airflow.
type__slug
A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /api/datasource/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"type__history_hours": 1,
"type__slug": "text",
"name": "text",
"expiry": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"enabled": true,
"secret_name": "text",
"organization": {
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"slug": "text",
"account_portal_url": "text",
"rate_limit": {
"limit": 1,
"usage": 1,
"remaining": 1,
"overriden": true
}
}
}
]
}View for providing statistics on global # of activities by event_type
A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /api/eventtype-count/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"event_type": "123e4567-e89b-12d3-a456-426614174000",
"slug": "text",
"count": 1
}
]
}Upload a Labelmaker CSV file for asynchronous processing.
CSV file to upload
CSV is being processed asynchronously, and the task ID is returned.
No file provided
Server error
POST /api/sync_labels/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 13
"file=null"{
"success": "text",
"task_id": "text"
}A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /api/tagged-eventtype/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"integration_type_slug": "text",
"eventtype_slug": "text",
"tag_slug": "text"
}
]
}^[-a-zA-Z0-9_]+$^[-a-zA-Z0-9_]+$POST /api/tagged-eventtype/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"integration_type_slug": "text",
"eventtype_slug": "text",
"tag_slug": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}{
"integration_type_slug": "text",
"eventtype_slug": "text",
"tag_slug": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}View viewing tags grouped by integration type
GET /api/tags-by-integration/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"Access": [
{
"label": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"dataSources": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
],
"Context": [
{
"label": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"dataSources": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
],
"Application": [
{
"label": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"dataSources": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
]
}View to list and create tags.
A search term.
A page number within the paginated result set.
Number of results to return per page.
GET /api/tags/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 1,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"label": "text",
"scope": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"id": 1
}
]
}View to list and create tags.
POST /api/tags/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"label": "text",
"scope": "text"
}{
"label": "text",
"scope": "text"
}View to get tag by id.
GET /api/tags/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
{
"label": "text",
"scope": "text",
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"id": 1
}View to get tag by id.
No content
DELETE /api/tags/{uuid}/ HTTP/1.1
Host: api.turngate.io/
Authorization: YOUR_API_KEY
Accept: */*
No content
Last updated

